#
# spec file for package perl-Email-Reply
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-Reply
Version:        1.204
Release:        bp155.2.8
%define cpan_name Email-Reply
Summary:        Reply to an Email Message
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-Reply/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Abstract) >= 2.01
BuildRequires:  perl(Email::Address) >= 1.80
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Email::Abstract) >= 2.01
Requires:       perl(Email::Address) >= 1.80
Requires:       perl(Email::MIME) >= 1.82
%{perl_requires}

%description
This software takes the hard out of generating replies to email messages.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Dec  2 2015 coolo@suse.com
- updated to 1.204
  see /usr/share/doc/packages/perl-Email-Reply/Changes
  1.204     2015-11-29 22:28:08-05:00 America/New_York
    update repo and bugtracker
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.203
  see /usr/share/doc/packages/perl-Email-Reply/Changes
  Revision history for Email-Reply
  1.203     2013-08-16 22:23:32 America/New_York
    update repo and bugtracker
    reformat docs a bit
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- added bcond_with
- changelog to changes file
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
